<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TK_simple_ok.aspx.cs" Inherits="_7soft.TK_simple_ok" %>

 <head>
  <base   target="_self">
  </head>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>阅卷</title>
    <style TYPE="text/css">
#floater { position: absolute; left: 400;top: 20; width: 120;visibility:visible;z-index: 10;}
</style>
<script language="JavaScript">
	self.onError=null;
	currentX = currentY = 0;  
	whichIt = null;   
   	lastScrollX = 0; lastScrollY = 0;
	NS = (document.layers) ? 1 : 0;
	IE = (document.all) ? 1: 0;
	<!-- STALKER CODE -->
	function heartBeat() {
		if(IE) { diffY = document.body.scrollTop; diffX = document.body.scrollLeft; }
	    if(NS) { diffY = self.pageYOffset; diffX = self.pageXOffset; }
		if(diffY != lastScrollY) { percent = .1 * (diffY - lastScrollY);
        if(percent > 0) percent = Math.ceil(percent);
        else percent = Math.floor(percent);
        if(IE) document.all.floater.style.pixelTop += percent;
        if(NS) document.floater.top += percent; 
	    lastScrollY = lastScrollY + percent;
	    }
		if(diffX != lastScrollX) {
			percent = .1 * (diffX - lastScrollX);
			if(percent > 0) percent = Math.ceil(percent);
			else percent = Math.floor(percent);
			if(IE) document.all.floater.style.pixelLeft += percent;
			if(NS) document.floater.left += percent;
			lastScrollX = lastScrollX + percent;
		}	
	}	<!-- /STALKER CODE -->
	<!-- DRAG DROP CODE -->

	function checkFocus(x,y) { 
	        stalkerx = document.floater.pageX;
	        stalkery = document.floater.pageY;
	        stalkerwidth = document.floater.clip.width;
	        stalkerheight = document.floater.clip.height;
	        if( (x > stalkerx && x < (stalkerx+stalkerwidth)) && (y > stalkery && y < (stalkery+stalkerheight))) return true;
	        else return false;
	}

	function grabIt(e) {
		if(IE) {
			whichIt = event.srcElement;
			while (whichIt.id.indexOf("floater") == -1) {
				whichIt = whichIt.parentElement;
				if (whichIt == null) { return true; }
		    }
			whichIt.style.pixelLeft = whichIt.offsetLeft;
		    whichIt.style.pixelTop = whichIt.offsetTop;
			currentX = (event.clientX + document.body.scrollLeft);
	   		currentY = (event.clientY + document.body.scrollTop); 	
		} else { 
	        window.captureEvents(Event.MOUSEMOVE);
	        if(checkFocus (e.pageX,e.pageY)) { 
	                whichIt = document.floater;
	                StalkerTouchedX = e.pageX-document.floater.pageX;
	                StalkerTouchedY = e.pageY-document.floater.pageY;
	        } 		}
	    return true;
	}

	function moveIt(e) {
		if (whichIt == null) { return false; }
		if(IE) {
		    newX = (event.clientX + document.body.scrollLeft);
		    newY = (event.clientY + document.body.scrollTop);
		    distanceX = (newX - currentX);    distanceY = (newY - currentY);		    currentX = newX;    currentY = newY;
		    whichIt.style.pixelLeft += distanceX;		    whichIt.style.pixelTop += distanceY;
			if(whichIt.style.pixelTop < document.body.scrollTop) whichIt.style.pixelTop = document.body.scrollTop;			if(whichIt.style.pixelLeft < document.body.scrollLeft) whichIt.style.pixelLeft = document.body.scrollLeft;
			if(whichIt.style.pixelLeft > document.body.offsetWidth - document.body.scrollLeft - whichIt.style.pixelWidth - 20) whichIt.style.pixelLeft = document.body.offsetWidth - whichIt.style.pixelWidth - 20;
			if(whichIt.style.pixelTop > document.body.offsetHeight + document.body.scrollTop - whichIt.style.pixelHeight - 5) whichIt.style.pixelTop = document.body.offsetHeight + document.body.scrollTop - whichIt.style.pixelHeight - 5;
			event.returnValue = false;
		} else {
			whichIt.moveTo(e.pageX-StalkerTouchedX,e.pageY-StalkerTouchedY);
	        if(whichIt.left < 0+self.pageXOffset) whichIt.left = 0+self.pageXOffset;
	        if(whichIt.top < 0+self.pageYOffset) whichIt.top = 0+self.pageYOffset;
	        if( (whichIt.left + whichIt.clip.width) >= (window.innerWidth+self.pageXOffset-17)) whichIt.left = ((window.innerWidth+self.pageXOffset)-whichIt.clip.width)-17;
	        if( (whichIt.top + whichIt.clip.height) >= (window.innerHeight+self.pageYOffset-17)) whichIt.top = ((window.innerHeight+self.pageYOffset)-whichIt.clip.height)-17;
	        return false;
		}
	    return false;
	}
	function dropIt() {
		whichIt = null;
	    if(NS) window.releaseEvents (Event.MOUSEMOVE);
	    return true;
	}
	<!-- DRAG DROP CODE -->
	if(NS) {
		window.captureEvents(Event.MOUSEUP|Event.MOUSEDOWN);
		window.onmousedown = grabIt;
	 	window.onmousemove = moveIt;
		window.onmouseup = dropIt;
	}
	if(IE) {
		document.onmousedown = grabIt;
	 	document.onmousemove = moveIt;
		document.onmouseup = dropIt;
	}
	if(NS || IE) action = window.setInterval("heartBeat()",1);
</script>

</head>
<body>



    <form id="form1" runat="server">
    <div>
    <table border="0" align="center" cellpadding="0" cellspacing="0" width=100%>  
        <tr>
            <td align="center" >
                <font face="黑体" size="5" color="#ff0000">阅卷<br />
                </font>
                <label id="show_km_name" runat="server"></label>                           
              
            </td>
        </tr>
        
        <tr>
        <td >
         <label id="lalTestText" runat="server"> </label>
        </td>
     
        </tr>
        <tr>
            <td align="center" style="height: 18px">
                </td>
        </tr>
        <tr>
           <td align="center">
           
           <div ID="floater" style="left: 579px; top: 252px; width: 296px; height: 127px;"> 
           
        <table border="0" cellpadding="4" cellspacing="1" style="width: 314px; height: 1px">
            <tr>
                <td align="right" style="width: 83%; height: 64px" valign="bottom">
                    <table bgcolor="#cccccc" border="0" cellpadding="0" cellspacing="0" height="8" style="width: 56%">
                        <tr>
                            <td style="width: 20%; height: 2px">
                            </td>
                            <td style="width: 47%; height: 2px">
                                &nbsp;<asp:Label ID="msg" runat="server" ForeColor="Red"></asp:Label></td>
                        </tr>
                        <tr>
                            <td style="width: 20%; height: 2px;">
                            </td>
                            <td style="width: 47%; height: 2px;">
           <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="确 定" Height="25px" Width="185px" /></td>
                        </tr>
                        <tr>
                            <td height="2" style="width: 20%">
                            </td>
                            <td height="2" style="width: 47%">
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
               </div>
           </td>
        </tr>
        
    </table>       
    
    </div>
    </form>
</body>
</html>
